Name:          libfreeglut
Version:       3.4.0
Release:       1mamba
Summary:       GLUT (and hence freeglut) allows the user to create and manage windows containing OpenGL contexts
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://freeglut.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/freeglut/freeglut/%{version}/freeglut-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXi-devel
BuildRequires: libXrandr-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libglvnd-devel
## AUTOBUILDREQ-END
Provides:      libGLUT
Obsoletes:     libGLUT < 3.4.0
Provides:      libglut
Obsoletes:     libglut < 3.4.0

%description
freeglut is a completely OpenSourced alternative to the OpenGL Utility Toolkit (GLUT) library. GLUT was originally written by Mark Kilgard to support the sample programs in the second edition OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical applications because it is simple, widely available and highly portable.
GLUT (and hence freeglut) allows the user to create and manage windows containing OpenGL contexts on a wide range of platforms and also read the mouse, keyboard and joystick functions.
freeglut is released under the X-Consortium license.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libGLUT-devel
Obsoletes:     libGLUT-devel < 3.4.0
Provides:      libglut-devel
Obsoletes:     libglut-devel < 3.4.0

%description devel
freeglut is a completely OpenSourced alternative to the OpenGL Utility Toolkit (GLUT) library. GLUT was originally written by Mark Kilgard to support the sample programs in the second edition OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical applications because it is simple, widely available and highly portable.
GLUT (and hence freeglut) allows the user to create and manage windows containing OpenGL contexts on a wide range of platforms and also read the mouse, keyboard and joystick functions.
freeglut is released under the X-Consortium license.
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n freeglut-%{version}

%build
CFLAGS+=' -fcommon'
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
 %{_libdir}/libglut.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/GL/freeglut*.h
%{_includedir}/GL/glut.h
%{_libdir}/libglut.a
#%{_libdir}/libglut.la
%{_libdir}/libglut.so
%dir %{_libdir}/cmake/FreeGLUT
%{_libdir}/cmake/FreeGLUT/FreeGLUT*.cmake
%{_libdir}/pkgconfig/glut.pc
%doc ChangeLog

%changelog
* Tue Oct 11 2022 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Mon Feb 07 2022 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Mon Nov 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-2mamba
- rebuilt with -fcommon

* Fri Oct 04 2019 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Tue Apr 14 2015 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic update by autodist

* Tue Apr 09 2013 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Sun Feb 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-2mamba
- provide libglut and libglut-devel

* Fri Feb 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-1mamba
- package created by autospec
